# CardQuant

**CardQuant** is a Python library for pricing options based on the sum of cards drawn from a deck. It combines probability and financial modeling to calculate option valuations such as the theoretical price (theo), delta, gamma, and theta for both call and put options in card-based scenarios.

## Features

- Calculate theoretical option prices (`theo`) based on card sums.
- Compute option Greeks like delta, gamma, and theta.
- Support for custom deck configurations.
- Intuitive data models using Python's `dataclasses`.
- Robust input validation to ensure accuracy and reliability.

## Installation

Install the library using pip:

```bash
pip install cardquant
